import numpy as np
import matplotlib.pyplot as plt

def lissajous(t,a,b,phi):
    xt=np.sin(a*t+phi)
    yt=np.sin(b*t)
    return xt,yt
    
print(lissajous(1,4,3,np.pi/6))

size=int(np.pi*20000)
xs,ys=np.zeros(size),np.zeros(size)
a,b,phi=4,3,np.pi/3

for index in range(size):
    (xs[index],ys[index])=lissajous(index/10000,a,b,phi)
    
print(xs,ys)

plt.ion()
plt.plot(xs,ys)